/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.MotivocancelacionEquivalencia;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderMotivocancelacionEquivalencia implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        MotivocancelacionEquivalencia mce = (MotivocancelacionEquivalencia) o;

        Listcell lc = new Listcell();

        lc = new Listcell(mce.getMotivoequivalenciaId().toString() == null ? "-" : mce.getMotivoequivalenciaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(mce.getMotivoCancelacion() == null ? "-" : mce.getMotivoCancelacion().getDescmotivo());
        lc.setParent(lstm);

        lc = new Listcell(mce.getComisionistaExterno() == null ? "-" : mce.getComisionistaExterno().getDesccomisionista());
        lc.setParent(lstm);

        lc = new Listcell(mce.getEquivalenciaId() == null ? "-" : mce.getEquivalenciaId());
        lc.setParent(lstm);

        lstm.setAttribute("data", mce);
    }
}
